#ifndef StFmsGeom_
#define StFmsGeom_
#include "Geom.h"
#include "StMuDSTMaker/COMMON/StMuTrack.h"

class StFmsGeom :public Geom
{
 public:
  StFmsGeom(FilesSet*);
  bool getTowerPosition(int nstb, int row, int col, TVector3& position);
  bool getTowerId(const TVector3& position, int& nstb, int& row, int& col);
  bool getTowerId(const StMuTrack* track, int& nstb, int& row, int& col);

 private:
  Float_t cellsize;
  Int_t Nrows[4];
  Int_t Ncols[4];

  ClassDef(StFmsGeom,2);
};

#endif
