
#include "Edep.h"

ClassImp(Edep);

Edep::Edep(){
  Float_t sl[8]={0,0,0,0,  -.00886,-.00918,-.0079,-.0078};
  Float_t in[8]={1.0,1.0,1.0,1.0,  1.18,1.183,1.1346,1.1549};

  for(int j=0;j<8;j++)
    {
      eDepInt[j]=in[j];
      eDepSlope[j]=sl[j];
    };
};

Float_t Edep::cor(Int_t ew12,Int_t nstb14,Float_t Eorig)
{
  if(ew12==2)
    {
      Int_t n=3+nstb14;
      return (eDepInt[n]+eDepSlope[n]*Eorig);
    }
  else
    {
      return 1;
    };
};

